Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Format5DSCBBase

    java.lang.Object
      com.ibm.jzos.sample.fields.Format5DSCBBase

Direct Known Subclasses:
  Format5DSCB

    public class Format5DSCBBase

extends java.lang.Object

A class which maps a Format 5 DSCB (VTOC free space)

See Also:
  `Format5DSCB`

Field Summary
`protected int` | `bufOffset`
`protected byte[]` | `bytes`
`protected static ByteArrayField` | `DS5AVEXT` DS5AVEXT DS XL5 AVAILABLE EXTENT
`static int` | `DS5END` TO FORMAT 5 DSCB OR ZERO @P1A DS5END EQU * EQUATE AT END OF DSCB5 @P1C
`protected static ByteArrayField` | `DS5EXTAV` BYTES 1 - 2 RELATIVE TRACK ADDRESS OF THE FIRST TRACK IN THE EXTENT BYTES 3 - 4 NUMBER OF UNUSED CYLINDERS IN THE EXTENT BYTE 5 NUMBER OF ADDITIONAL UNUSED TRACKS DS5EXTAV DS XL35 SEVEN AVAILABLE EXTENTS
`static int` | `DS5EXTLN` DS5EXTLN EQU DS5EXTAV-DS5AVEXT LENGTH OF AN EXTENT @L6A
`static int` | `DS5EXTMX` DESCRIPTOR IN A FMT 5 @L6A DSCB @L6A DS5EXTMX EQU 26 MAXIMUM NUMBER OF FREE @L6A
`protected static StringField` | `DS5FMTID` DS5FMTID DS CL1 FORMAT IDENTIFIER (X'F5')
`static int` | `DS5IDC` EXTENTS IN A FMT5 DSCB @L6A DS5IDC EQU X'F5' FORMAT 5 IDENTIFIER CONSTANT @L6A
`protected static BinaryAsLongField` | `DS5KEYID` DS5KEYID DS XL4 KEY IDENTIFIER (X'05050505')
`protected static ByteArrayField` | `DS5MAVET` DS5MAVET DS XL90 EIGHTEEN AVAILABLE EXTENTS
`protected static ByteArrayField` | `DS5PTRDS` DS5PTRDS DS XL5 FORWARD CHAIN POINTER (CCHHR) @P1C
`static int` | `DS5RTALN` EXTENTS IN A FMT5 DSCB @L6A DS5RTALN EQU 2 LENGTH OF AN RTA IN A FMT 5
`static int` | `F5DSCB` F5DSCB DSECT
`protected static AssemblerDatatypeFactory` | `factory`
`static int` | `IECSDSF5` IECSDSF5 EQU IECSDSL5 SAME AS IECSDSL5 @P1C
`static int` | `IECSDSL5` IECSDSL1 (5) VALID ONLY IF DS4EFVLD AND DS4DOSBT ARE OFF.

Constructor Summary
`Format5DSCBBase(byte[] buffer, int bufOffset)`

Method Summary
`byte[]` | `getDs5avext()`
`byte[]` | `getDs5extav()`
`java.lang.String` | `getDs5fmtid()`
`long` | `getDs5keyid()`
`byte[]` | `getDs5mavet()`
`byte[]` | `getDs5ptrds()`
`void` | `setDs5avext(byte[] ds5avext)`
`void` | `setDs5extav(byte[] ds5extav)`
`void` | `setDs5fmtid(java.lang.String ds5fmtid)`
`void` | `setDs5keyid(long ds5keyid)`
`void` | `setDs5mavet(byte[] ds5mavet)`
`void` | `setDs5ptrds(byte[] ds5ptrds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### F5DSCB

    public static int F5DSCB

  F5DSCB DSECT

### IECSDSL5

    public static int IECSDSL5

  IECSDSL1 (5)
  VALID ONLY IF DS4EFVLD AND DS4DOSBT ARE OFF. @02A
  IECSDSL5 EQU * FORMAT 5 DSCB

### IECSDSF5

    public static int IECSDSF5

  IECSDSF5 EQU IECSDSL5 SAME AS IECSDSL5 @P1C

### DS5KEYID

    protected static BinaryAsLongField DS5KEYID

  DS5KEYID DS XL4 KEY IDENTIFIER (X'05050505')

### DS5AVEXT

    protected static ByteArrayField DS5AVEXT

  DS5AVEXT DS XL5 AVAILABLE EXTENT

### DS5EXTAV

    protected static ByteArrayField DS5EXTAV

  BYTES 1 - 2 RELATIVE TRACK ADDRESS OF THE FIRST TRACK
  IN THE EXTENT
  BYTES 3 - 4 NUMBER OF UNUSED CYLINDERS IN THE EXTENT
  BYTE 5 NUMBER OF ADDITIONAL UNUSED TRACKS
  DS5EXTAV DS XL35 SEVEN AVAILABLE EXTENTS

### DS5FMTID

    protected static StringField DS5FMTID

  DS5FMTID DS CL1 FORMAT IDENTIFIER (X'F5')

### DS5MAVET

    protected static ByteArrayField DS5MAVET

  DS5MAVET DS XL90 EIGHTEEN AVAILABLE EXTENTS

### DS5PTRDS

    protected static ByteArrayField DS5PTRDS

  DS5PTRDS DS XL5 FORWARD CHAIN POINTER (CCHHR) @P1C

### DS5END

    public static int DS5END

  TO FORMAT 5 DSCB OR ZERO @P1A
  DS5END EQU * EQUATE AT END OF DSCB5 @P1C

### DS5EXTLN

    public static int DS5EXTLN

  DS5EXTLN EQU DS5EXTAV-DS5AVEXT LENGTH OF AN EXTENT @L6A

### DS5EXTMX

    public static int DS5EXTMX

  DESCRIPTOR IN A FMT 5 @L6A
  DSCB @L6A
  DS5EXTMX EQU 26 MAXIMUM NUMBER OF FREE @L6A

### DS5RTALN

    public static int DS5RTALN

  EXTENTS IN A FMT5 DSCB @L6A
  DS5RTALN EQU 2 LENGTH OF AN RTA IN A FMT 5

### DS5IDC

    public static int DS5IDC

  EXTENTS IN A FMT5 DSCB @L6A
  DS5IDC EQU X'F5' FORMAT 5 IDENTIFIER CONSTANT @L6A

### bytes

    protected byte[] bytes

### bufOffset

    protected int bufOffset

Constructor Detail

### Format5DSCBBase

    public Format5DSCBBase(byte[] buffer,
                           int bufOffset)

Method Detail

### getDs5keyid

    public long getDs5keyid()

### setDs5keyid

    public void setDs5keyid(long ds5keyid)

### getDs5avext

    public byte[] getDs5avext()

### setDs5avext

    public void setDs5avext(byte[] ds5avext)

### getDs5extav

    public byte[] getDs5extav()

### setDs5extav

    public void setDs5extav(byte[] ds5extav)

### getDs5fmtid

    public java.lang.String getDs5fmtid()

### setDs5fmtid

    public void setDs5fmtid(java.lang.String ds5fmtid)

### getDs5mavet

    public byte[] getDs5mavet()

### setDs5mavet

    public void setDs5mavet(byte[] ds5mavet)

### getDs5ptrds

    public byte[] getDs5ptrds()

### setDs5ptrds

    public void setDs5ptrds(byte[] ds5ptrds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD